org.apache.fop.complexscripts.fonts

## Class IncompatibleSubtableException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.fop.complexscripts.fonts.IncompatibleSubtableException

- All Implemented Interfaces:
    java.io.Serializable

      public class IncompatibleSubtableException
      extends java.lang.RuntimeException

  Exception thrown during when attempting to map glyphs to associated characters in the case that the associated characters do not represent a compact interval.

  This work was originally authored by Glenn Adams (gadams@apache.org).

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IncompatibleSubtableException()` Instantiate incompatible subtable exception
    `IncompatibleSubtableException(java.lang.String message)` Instantiate incompatible subtable exception

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### IncompatibleSubtableException

          public IncompatibleSubtableException()

      Instantiate incompatible subtable exception

    - #### IncompatibleSubtableException

          public IncompatibleSubtableException(java.lang.String message)

      Instantiate incompatible subtable exception
      Parameters:
        `message` - a message string

Copyright 1999-2015 The Apache Software Foundation. All Rights Reserved.